Package: python-trustme / 0.4.0-3

Metadata

Package Version Patches format
python-trustme 0.4.0-3 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
keysize | (download)

trustme/__init__.py | 7 6 + 1 - 0 !
1 file changed, 6 insertions(+), 1 deletion(-)

 [patch] increase key size to 2048 bits

Debian changed the default security level to 2 since openssl package
version 1.1.1~~pre9-1 (August 2018), which requires a minimum key size
of 2048 bit or larger RSA and DHE keys. To avoid test failures on newer
Debian systems against OpenSSL, use a key size of at least 2048 bits.

Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=926652